%define anolis_release 3

%global pypi_name waitress
%global _docdir_fmt %{name}

Summary:        Waitress WSGI server
Name:           python-%{pypi_name}
Version:        2.1.2
Release:        %{anolis_release}%{?dist}
License:        ZPLv2.1
URL:            https://github.com/Pylons/%{pypi_name}
Source0:        https://github.com/Pylons/waitress/archive/v%{version}/v%{version}-nodocs.tar.gz
BuildArch:      noarch

%description
Waitress is meant to be a production-quality pure-Python WSGI server with
very acceptable performance. It has no dependencies except ones which live
in the Python standard library. It runs on CPython on Unix and Windows under
Python 2.6+ and Python 3.3+. It is also known to run on PyPy 1.6.0+ on UNIX.
It supports HTTP/1.0 and HTTP/1.1.

%package -n python3-%{pypi_name}
Summary:        Waitress WSGI server
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
Waitress is meant to be a production-quality pure-Python WSGI server with
very acceptable performance. It has no dependencies except ones which live
in the Python standard library. It runs on CPython on Unix and Windows under
Python 2.6+ and Python 3.3+. It is also known to run on PyPy 1.6.0+ on UNIX.
It supports HTTP/1.0 and HTTP/1.1.

Python 3 version.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license COPYRIGHT.txt LICENSE.txt
%doc README.rst CHANGES.txt
%{_bindir}/waitress-serve
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info/

%changelog
* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.1.2-3
- Rebuild with python3.11

* Fri Dec 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1.2-2
- rebuild

* Thu Apr 20 2023 DengXiewei <dengxiewei@linux.alibaba.com> - 2.1.2-1
- Initial package from upstream

